%define anolis_release 2

%bcond_with pgm
%bcond_with unwind

Name:           zeromq
Version:        4.3.4
Release:        %{anolis_release}%{?dist}
Summary:        Software library for fast, message-based applications

License:        LGPLv3+
URL:            https://zeromq.org
Source0:        https://github.com/%{name}/libzmq/archive/v%{version}/libzmq-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  libsodium-devel

%if %{with unwind}
BuildRequires:  libunwind-devel
%endif

%if %{with pgm}
BuildRequires:  openpgm-devel
BuildRequires:  krb5-devel
%endif

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the ZeroMQ shared library.


%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Conflicts:      zeromq < 4.3.4-2


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libzmq-%{version}

# Remove bundled code.
rm -rf external/wepoll

# Fix permissions.
chmod -x src/xsub.hpp


%build
autoreconf -fi
%configure \
%if %{with pgm}
            --with-pgm \
            --with-libgssapi_krb5 \
%endif
            --with-libsodium \
%if %{with unwind}
            --enable-libunwind \
%endif
            --disable-Werror \
            --disable-static
%make_build


%install
%make_install

%generate_compatibility_deps

%files
%license COPYING COPYING.LESSER
%dir %{abidir}
%{_bindir}/curve_keygen
%{_libdir}/libzmq.so.5*
%{abidir}/libzmq.dump
%{abidir}/curve_keygen-option.list

%files devel
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*.h
%{_mandir}/man?/*

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 4.3.4-2
- Generate abi files
- Move man pages into devel package, they are mainly for developers

* Fri May 05 2023 Funda Wang <fundawang@yeah.net> - 4.3.4-1
- Import package for anolis 23
